Skip to content
Start here

Update a sending subdomain

client.EmailSending.Subdomains.Edit(ctx, subdomainID, params) (*SubdomainEditResponse, error)
PATCH/zones/{zone_id}/email/sending/subdomains/{subdomain_id}

Updates the activity-log preview preference for a sending subdomain.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
subdomainID string

Sending subdomain identifier.

maxLength32
params SubdomainEditParams
ZoneID param.Field[string]

Path param: Identifier.

maxLength32
PreviewEnabled param.Field[bool]

Body param: Whether sent messages from this subdomain can be previewed in the activity log.

ReturnsExpand Collapse
type SubdomainEditResponse struct{…}
Enabled bool

Whether Email Sending is enabled on this subdomain.

Name string

The exact domain name or a leftmost wildcard such as *.example.com.

Tag string

Sending subdomain identifier.

maxLength32
Created TimeOptional

The date and time the destination address has been created.

formatdate-time
DKIMSelector stringOptional

The DKIM selector used for email signing. Wildcard rows publish the selector and sign with d=<base>.

Modified TimeOptional

The date and time the destination address was last modified.

formatdate-time
PreviewEnabled boolOptional

Whether sent messages from this subdomain can be previewed in the activity log.

ReturnPathDomain stringOptional

The return-path domain used for bounce handling. Wildcard rows use cf-bounce.<base>.

Update a sending subdomain

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/email_sending"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  response, err := client.EmailSending.Subdomains.Edit(
    context.TODO(),
    "aabbccdd11223344aabbccdd11223344",
    email_sending.SubdomainEditParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
      PreviewEnabled: cloudflare.F(true),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Enabled)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "name": "sub.example.com",
    "tag": "aabbccdd11223344aabbccdd11223344",
    "created": "2014-01-02T02:20:00Z",
    "dkim_selector": "cf-bounce",
    "modified": "2014-01-02T02:20:00Z",
    "preview_enabled": true,
    "return_path_domain": "cf-bounce.sub.example.com"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "name": "sub.example.com",
    "tag": "aabbccdd11223344aabbccdd11223344",
    "created": "2014-01-02T02:20:00Z",
    "dkim_selector": "cf-bounce",
    "modified": "2014-01-02T02:20:00Z",
    "preview_enabled": true,
    "return_path_domain": "cf-bounce.sub.example.com"
  }
}